:root{
    --primary: #4ea1ff;
    --dark: #1b1b1b;
    --text: #666;
    --light: #f4f7fb;
    --white: #fff;
    --card: #e9eef2;
    --icon-bg:#f3f6f9;

}

body{
    font-family:Arial, Helvetica, sans-serif;
    background:#f5f6f8;
    margin:0;
}

/* CONTAINER */
.container-berita{
    max-width:1200px;
    margin:auto;
    display:grid;
    grid-template-columns: 2fr 1fr;
    gap:30px;
    padding:30px;
}

/* KONTEN KIRI */
.berita-kiri{
    background:var(--white);
    padding:25px;
    border-radius:10px;
}

/* breadcrumb */
.breadcrumb{
    font-size:14px;
    color:#777;
    margin-bottom:10px;
}

.breadcrumb a
{
    text-decoration: none;
    color: var(--white);
    font-size: 16px;
    text-transform: uppercase;
    background: var(--primary);
    padding: 8px;
    border-radius: 20px;
}

/* judul */
.judul-berita{
    font-size:32px;
    margin-bottom:15px;
    color: var(--text);
}

/* meta */
.meta-berita{
    font-size:14px;
    color:#666;
    display:flex;
    gap:20px;
    margin-bottom:20px;
    flex-wrap:wrap;
}

/* gambar */
.gambar-berita{
    width:100%;
    border-radius:10px;
    margin-bottom:20px;
}

/* isi */
.isi-berita{
    line-height:1.7;
    font-size:16px;
    color: var(--text);
}

/* SIDEBAR */
.sidebar{
    background:var(--white);
    padding:20px;
    border-radius:10px;
    height: 30%;
}

.sidebar h3{
    margin-bottom:20px;
    background: var(--primary);
    padding: 6px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    color: var(--white);
}

/* item berita */
.sidebar-item{
    display:flex;
    gap:10px;
    margin-bottom:15px;
    text-decoration:none;
    color:black;
}

.sidebar-item:hover
{
    background: #e6e6e6;
    border-radius: 6px;
}

.sidebar-item img{
    width:70px;
    height:55px;
    object-fit:cover;
    border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
}

.sidebar-judul{
    font-size:14px;
    font-weight:600;
    display:-webkit-box;
    -webkit-line-clamp:2;
    -webkit-box-orient:vertical;
    overflow:hidden;
}

.sidebar-meta{
    font-size:12px;
    color:#777;
}


.komentar-box{
margin-top:40px;
background:#f7f7f7;
padding:20px;
border-radius:8px;
}

.komentar-box h3
{
    margin-bottom: 10px;
}

.komentar-box input,
.komentar-box textarea{
width:100%;
padding:10px;
margin-bottom:10px;
border:1px solid #ddd;
border-radius:6px;
}

.komentar-box button{
background:#2b7cff;
color:white;
border:none;
padding:10px 20px;
border-radius:6px;
cursor:pointer;
}

.list-komentar{
margin-top:20px;
}

.item-komentar{
background:white;
padding:15px;
margin-bottom:10px;
border-radius:6px;
box-shadow:0 2px 6px rgba(0,0,0,0.05);
}

.item-komentar strong{
display:block;
}

.item-komentar span{
font-size:12px;
color:#888;
}


.berita-bawah{
margin-top:50px;
}

.berita-bawah h2
{
    color: var(--text);
}

.grid-berita{
display:grid;
grid-template-columns:repeat(auto-fit,minmax(220px,1fr));
gap:20px;
color: var(--text);
}

.card-berita{
display:block;
background:var(--light);
border-radius:10px;
overflow:hidden;
box-shadow:0 4px 10px rgba(0,0,0,0.1);
text-decoration:none;
color:#333;
}

.card-berita img{
width:100%;
height:150px;
object-fit:cover;
}

.card-content{
padding:10px;
}

.card-judul{
font-weight:bold;
font-size:15px;
}

.card-meta{
font-size:12px;
color:#888;
}



/* KOMENTAR */

.komentar-box{
margin-top:40px;
background:#f5f5f5;
padding:20px;
border-radius:8px;
}

.komentar-box input,
.komentar-box textarea{
width:100%;
padding:10px;
margin-bottom:10px;
border:1px solid #ddd;
border-radius:6px;
}

.komentar-box button{
background:#2b7cff;
color:white;
border:none;
padding:10px 20px;
border-radius:6px;
cursor:pointer;
}

.list-komentar{
margin-top:20px;
}

.item-komentar{
background:white;
padding:15px;
margin-bottom:10px;
border-radius:6px;
box-shadow:0 2px 6px rgba(0,0,0,0.05);
}

.item-komentar span{
font-size:12px;
color:#888;
display:block;
margin-bottom:5px;
}


/* ========================= */
/* RESPONSIVE MOBILE */
/* ========================= */

@media (max-width:768px){

    .container-berita{
        grid-template-columns:1fr;
        padding:20px;
    }

    .judul-berita{
        font-size:24px;
    }

    .meta-berita{
        font-size:13px;
        gap:10px;
    }

    .isi-berita{
        font-size:15px;
    }

    /* sidebar otomatis pindah ke bawah */
    .sidebar{
        margin-top:20px;
    }

    /* item sidebar lebih rapi */
    .sidebar-item img{
        width:80px;
        height:60px;
    }

    .berita-kiri, .sidebar{
    box-shadow:0 5px 20px rgba(0,0,0,0.08);
}

}


.share-box{
    margin-top:20px;
    margin-bottom:20px;
    display:flex;
    gap:10px;
    align-items:center;
    flex-wrap:wrap;
}

.share{
    padding:8px 14px;
    border-radius:6px;
    text-decoration:none;
    color:white;
    font-size:14px;
    font-weight:500;
}

.share.wa{
    background:#25D366;
}

.share.fb{
    background:#1877F2;
}

.share.tw{
    background:#000;
}

.share.tg{
    background:#229ED9;
}

.share:hover{
    opacity:0.85;
}